#ifndef H_STEMIDX
#define H_STEMIDX 1
typedef size_t (* abstractReader) (void *ptr, size_t size, size_t nitems, void *file);
typedef char (* abstractGetc) (void *file);
typedef int (* abstractSeeker) (void *file, long offset, int ptrname);

stemmed_idx *StemIdx_header_read(void *f, int notefile, abstractReader reader, abstractGetc creader);
void StemIdx_block_readNext(void *f, stemmed_idx *s, int block, unsigned long **first_word, 
			    unsigned short **num_words,  unsigned short **index, int *num_indexes, 
			    abstractSeeker seeker, abstractReader reader);
void StemIdx_ReadWordString(u_char **base, u_char *prev);
void StemIdx_ReadPosEntry(u_char **base, unsigned int *num_cases, unsigned int *blk, 
			  unsigned short *blk_index, unsigned short *offset);
#endif
